Subject: bug#17569: 24.4.50; doc of "wrapper hooks"

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 May 2014 18:16:41 +0300

> Date: Sat, 24 May 2014 08:03:26 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> And what about a function, such as `filter-buffer-substring',
> whose implementation and doc string makes use of such a var?
> What is being recommended now for someone who wants the
> functionality of `filter-buffer-substring' - just roll your own?

Using obsolete variables or functions doesn't automatically make their
users obsolete.  It just means they need to be fixed by changing their
implementation to use the alternative non-obsolete replacements.
Therefore, there's no need to stop using those APIs that use obsolete
vars.